Bug 221270 - [NEW PORT] audio/mda-lv2: LV2 port of the MDA plugins by Paul Kellett
Summary: [NEW PORT] audio/mda-lv2: LV2 port of the MDA plugins by Paul Kellett
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-08-06 07:49 UTC by Yuri Victorovich
Modified: 2017-08-15 21:23 UTC (History)
1 user (show)

See Also:


Attachments
shar (4.40 KB, text/plain)
2017-08-06 07:49 UTC, Yuri Victorovich
no flags Details
shar (4.47 KB, text/plain)
2017-08-11 05:12 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-06 07:49:06 UTC
Created attachment 185075 [details]
shar

QAs:
* poudriere 11.1 amd64
* portlint
Comment 1 Yuri Victorovich freebsd_committer 2017-08-11 05:12:19 UTC
Created attachment 185258 [details]
shar
Comment 2 Richard Gallamore freebsd_committer 2017-08-15 07:08:57 UTC
Looks good.
Comment 3 commit-hook freebsd_committer 2017-08-15 21:22:12 UTC
A commit references this bug:

Author: ultima
Date: Tue Aug 15 21:21:48 UTC 2017
New revision: 448013
URL: https://svnweb.freebsd.org/changeset/ports/448013

Log:
  MDA-LV2 is an LV2 port of the MDA plugins by Paul Kellett. It contains
  36 high-quality plugins for a variety of tasks.

  This is a more or less faithful port of both the effects and instrument
  plugins. The only functional difference in code is to support LV2-style
  toggle ports (> 0.0 is on, rather than 0.5). All the plugins have been
  tested, and thanks to several bug fixes this collection should be more
  reliable than the original.

  WWW: https://drobilla.net/software/mda-lv2

  PR:		221270
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12034

Changes:
  head/audio/Makefile
  head/audio/mda-lv2/
  head/audio/mda-lv2/Makefile
  head/audio/mda-lv2/distinfo
  head/audio/mda-lv2/pkg-descr
  head/audio/mda-lv2/pkg-plist
Comment 4 Richard Gallamore freebsd_committer 2017-08-15 21:23:56 UTC
Committed, thanks!